=== debian/changelog ===
sddm (0.19.0-5) unstable; urgency=medium

  * Drop haveged from recommends, it used to be necessary to gather enough
    entropy to avoid freezes during boot but this hasn’t been the case anymore
    for many kernel releases.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 20 Feb 2023 22:51:20 +0100

sddm (0.19.0-4) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Recommend sddm-theme-debian-breeze instead of maui (Closes: #949340).
    The alternatives system gives this theme the highest priority, so install
    it by default.

  [ Pino Toscano ]
  * Remove inactive Uploaders.
  * Backport upstream commit e93bf95c54ad8c2a1604f8d7be05339164b19308 to fix
    build with newer versions of Qt 5.15; patch
    upstream_Fix-compilation-once-QTBUG-88431-gets-fixed.patch.
    (Closes: #1013550)
  * Update lintian overrides.
  * Use /usr/share/dpkg/architecture.mk instead of querying the $DEB_HOST_*
    variables manually.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Remove the upstream sddm.service in execute_after_dh_auto_install, rather
    than execute_before_dh_install; same effect, mostly a better place
    logically.
  * Use execute_after_dh_fixperms-arch, and execute_after_dh_installpam to avoid
    invoking dh_fixperms, and dh_installpam manually.

 -- Pino Toscano <pino@debian.org>  Sun, 09 Oct 2022 10:30:14 +0200

sddm (0.19.0-3) unstable; urgency=medium

  * Cherry-pick upstream commit to re-add sourcing of /etc/profile and
    $HOME/.profile for users with fish as their default shell.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 17 Mar 2021 22:41:58 +0100

sddm (0.19.0-2) unstable; urgency=medium

  [ Norbert Preining ]
  * Disable 07_fix-desktop-session-env-var.diff imported from Ubuntu
    (Closes: #973907)
  * Add upstream's d/p/upstream-2f034906d-use-only-basename-of-session to
    use only the basename of the session file as session name.

 -- Norbert Preining <norbert@preining.info>  Tue, 10 Nov 2020 04:38:45 +0900

sddm (0.19.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (0.19.0):
    - Fix X not having access control on startup (fixes CVE-2020-28049)
  * Fix lintian warning command-with-path-in-maintainer-script in postrm.
  * Sync patches with Kubuntu.
  * Switch to UTF-8 encoding for Swedish po translation.
  * Review copyright information.
  * Build with hardening=+all build hardening flag.
  * Mark watch file as version=4, no change required.
  * Don’t install LICENSE files from source, their contents is already in
    d/copyright.
  * Install upstream README files to /usr/share/doc.
  * Disable lintian warning for Maya theme’s font license, the source gives a
    plausible source and license that are redistribuable.
  * Bump Standards-Version to 4.5.0:
    - Add Rules-Requires-Root: no
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
    - bump compatibility level to 13

  [ Norbert Preining ]
  * Bump build-depends according to CMakeLists.
  * Add Aurélien and myself to uploaders.
  * Change maintainer to Debian Qt/KDE ...
  * Don't do recursive change of ownership of /var/lib/sddm in d/sddm.postinst

 -- Norbert Preining <norbert@preining.info>  Sat, 07 Nov 2020 09:28:39 +0900
