=== data/translations/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
     eu.ts
     fi.ts
     fr.ts
+    gl.ts
     hi_IN.ts
     he.ts
     hu.ts
@@ -17,6 +18,7 @@
     is.ts
     it.ts
     ja.ts
+    ka.ts
     kk.ts
     ko.ts
     lt.ts
@@ -42,7 +44,7 @@
     zh_TW.ts
 )
 
-qt5_add_translation(QM_FILES ${TRANSLATION_FILES})
+qt_add_translation(QM_FILES ${TRANSLATION_FILES})
 
 install(FILES ${QM_FILES} DESTINATION "${COMPONENTS_TRANSLATION_DIR}")
