=== debian/changelog ===
sddm (0.20.0-2ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5network5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:49:55 +0200

sddm (0.20.0-2ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:12:06 +0000

sddm (0.20.0-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:04:10 +0000

sddm (0.20.0-2ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Make sure sddm.service starts at the correct time.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Revert upstream change prefering wayland sessions.
      + debian/patches: revert_prefer-wayland-sessions-over-X11.patch
      + Refresh the above patch.
    - Patch to avoid screen overlap or inset.
    - Patch Xsetup script to use bash. Allows previous patch to actually
      run as it requires arrays.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Dec 2023 11:52:38 +0000

sddm (0.20.0-2) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Add the xkb-data dependency, needed for the X11 xkb rules.
  * Remove an obsolete maintscript entry.

  [ Patrick Franz ]
  * Fix FTBFS: Also ignore /usr-moved upstream systemd unit, thx to
    Helmut Grohne (Closes: #1057338).

 -- Patrick Franz <deltaone@debian.org>  Mon, 04 Dec 2023 22:08:35 +0100

sddm (0.20.0-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Make sure sddm.service starts at the correct time.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Revert upstream change prefering wayland sessions.
      + debian/patches: revert_prefer-wayland-sessions-over-X11.patch
      + Refresh the above patch.
    - Patch to avoid screen overlap or inset.
    - Patch Xsetup script to use bash. Allows previous patch to actually
      run as it requires arrays,

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Jun 2023 14:30:54 +0100

sddm (0.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (0.20.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Refresh patches.
  * Drop patch 03_vt7-minimum-vt.diff and switch back to upstream default of
    spawning greeter on VT1.
  * Drop patches applied upstream.
  * Refresh the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Jun 2023 08:38:52 +0200

sddm (0.19.0-5ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add kubuntu_nvidia-prime.diff to make sure NVIDIA Prime works.
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Add debian/conffiles.
    - Make sure sddm.service starts at the correct time.
    - Start on tty1 by default.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Revert upstream change prefering wayland sessions.
      + debian/patches: revert_prefer-wayland-sessions-over-X11.patch
    - Patch to avoid screen overlap or inset.
    - Patch Xsetup script to use bash. Allows previous patch to actually
      run as it requires arrays

 -- Rik Mills <rikmills@kde.org>  Mon, 26 Jun 2023 10:09:31 +0100

sddm (0.19.0-3ubuntu3) lunar; urgency=medium

  * Patch Xsetup script to use bash (LP: #2009074)
    - Allows previous patch to actually run as it
      requires arrays

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 02 Mar 2023 11:26:21 -0800

sddm (0.19.0-3ubuntu2) lunar; urgency=medium

  * Patch to avoid screen overlap or inset (LP: #1998254)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 29 Nov 2022 13:34:07 -0800

sddm (0.19.0-3ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add kubuntu_nvidia-prime.diff to make sure NVIDIA Prime works.
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Add debian/conffiles.
    - Make sure sddm.service starts at the correct time.
    - Start on tty1 by default.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Revert upstream change prefering wayland sessions.
      + debian/patches: revert_prefer-wayland-sessions-over-X11.patch
    - Add sddm-fix-build.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 12:19:39 +0100

sddm (0.19.0-2ubuntu2) hirsute; urgency=medium

  * Revert upstream change prefering wayland sessions.
    - debian/patches: revert_prefer-wayland-sessions-over-X11.patch

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Feb 2021 17:33:00 +0000

sddm (0.19.0-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add kubuntu_nvidia-prime.diff to make sure NVIDIA Prime works.
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Add debian/conffiles.
    - Make sure sddm.service starts at the correct time.
    - Start on tty1 by default.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Nov 2020 11:53:51 +0000

sddm (0.18.1-1ubuntu3) groovy; urgency=medium


