=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 execute_after_dh_auto_install:
 	# not installed, as the Debian version is used instead
-	rm -f $(CURDIR)/debian/tmp/lib/systemd/system/sddm.service
+	rm -f $(CURDIR)/debian/tmp/lib/systemd/system/sddm.service $(CURDIR)/debian/tmp/usr/lib/systemd/system/sddm.service
 
 execute_after_dh_fixperms-arch:
 	# ensure script is marked as executable
